from rest_framework import serializers
from ..models import Place


class PlaceSerializer(serializers.ModelSerializer):
    lat = serializers.SerializerMethodField()
    lng = serializers.SerializerMethodField()
    url = serializers.SerializerMethodField()

    class Meta:
        model = Place
        fields = [
            "name",
            "address",
            "postcode",
            "city",
            "description",
            "lat",
            "lng",
            "url",
        ]

    def get_lat(self, obj):
        return obj.location[1] if obj.location else None

    def get_lng(self, obj):
        return obj.location[0] if obj.location else None

    def get_url(self, obj):
        return obj.get_absolute_url()
